Subject: Re: Cloning from sites with 404 overridden

From: Nick Hengeveld <[email-masked]>
Date: Wed, 22 Mar 2006 09:22:27 -0800

On Tue, Mar 21, 2006 at 09:59:21PM -0500, [email-masked] wrote:

> If someone feels ambitious, you can detect this condition automatically
> by searching for a file that you know won't be there and seeing if you
> get a 404 response to that.

It might be feasible to detect this condition using the Content-Type:
header in the server response.  So far, all the GIT repositories I've
tried return text/plain for loose objects and a special 404 page will
likely be text/html.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.